com.streambase.liveview.client

## Class OrderDefinition

- java.lang.Object
- - com.streambase.liveview.client.OrderDefinition

-     public class OrderDefinition
      extends Object

  OrderDefinition is the object used to define the order in which you wish to receive data
  Since:
    1.4

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrderDefinition.Direction` The direction enum defines the legal directions available, and a reverse helper method.
    `static interface` | `OrderDefinition.OrderDefinitionVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) List<OrderDefinition.Direction>` | `directions`
    `(package private) List<String>` | `fields`
    `static OrderDefinition` | `NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderDefinition()` Construct an order definition object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderDefinition` | `add(OrderDefinition.Direction[] dir, String... flds)` Add order definition field names with the specified Direction.
    `OrderDefinition` | `add(OrderDefinition.Direction dir, String... flds)` Add order definition field names, all in the same direction
    `OrderDefinition` | `add(String... flds)` Add order definition field names, all ascending order
    `String` | `getDirectionsString()`
    `String` | `getFieldsString()`
    `OrderDefinition` | `reverse()` Produce an OrderDefinition that is the exact opposite of this OrderDefinition.
    `String` | `toString()` Produce a human readable representation of the OrderDefinition
    `void` | `traverseOrderDefinition(OrderDefinition.OrderDefinitionVisitor v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final OrderDefinition NONE

    - #### directions

          List<OrderDefinition.Direction> directions

    - #### fields

          List<String> fields

  - ### Constructor Detail

    - #### OrderDefinition

          public OrderDefinition()

      Construct an order definition object. Use `OrderDefinition.add(java.lang.String...)` methods to add fields and directions to the sort.

  - ### Method Detail

    - #### add

          public OrderDefinition add(String... flds)

      Add order definition field names, all ascending order
      Parameters:
        `flds` - the field names you wish to order on, first field being highest precedence.

    - #### add

          public OrderDefinition add(OrderDefinition.Direction dir,
                                     String... flds)

      Add order definition field names, all in the same direction
      Parameters:
        `dir` - the Direction you want to use for these fields.
        `flds` - the field names you wish to order on, first field being highest precedence.

    - #### add

          public OrderDefinition add(OrderDefinition.Direction[] dir,
                                     String... flds)

      Add order definition field names with the specified Direction. The number of Directions must be equal to the number of fields.
      Parameters:
        `dir` - the Direction you want to use for each field
        `flds` - the field names you wish to order on, first field being highest precedence.

    - #### getFieldsString

          public String getFieldsString()

    - #### getDirectionsString

          public String getDirectionsString()

    - #### toString

          public String toString()

      Produce a human readable representation of the OrderDefinition
      Overrides:
        `toString` in class `Object`

    - #### reverse

          public OrderDefinition reverse()

      Produce an OrderDefinition that is the exact opposite of this OrderDefinition.

    - #### traverseOrderDefinition

          public void traverseOrderDefinition(OrderDefinition.OrderDefinitionVisitor v)

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.